## javax.faces.component
Class UIData

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData

All Implemented Interfaces:
  NamingContainer, StateHolder

Direct Known Subclasses:
  HtmlDataTable

public class UIData
extends UIComponentBase
implements NamingContainer

Version:
  $Revision: 290979 $ $Date: 2005-09-22 12:52:51 -0400 (Thu, 22 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mbr $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIData()`

Method Summary
`void` `broadcast(FacesEvent event)`
`void` `encodeBegin(FacesContext context)`
`void` `encodeEnd(FacesContext context)`
`java.lang.String` `getClientId(FacesContext context)`
`java.lang.String` `getFamily()`
`int` `getFirst()`
`UIComponent` `getFooter()`
`UIComponent` `getHeader()`
`int` `getRowCount()`
`java.lang.Object` `getRowData()`
`int` `getRowIndex()`
`int` `getRows()`
`java.lang.Object` `getValue()`
`java.lang.String` `getVar()`
`boolean` `isRowAvailable()`
`void` `processDecodes(FacesContext context)`
`void` `processUpdates(FacesContext context)`
`void` `processValidators(FacesContext context)`
`void` `queueEvent(FacesEvent event)`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setFirst(int first)`
`void` `setFooter(UIComponent footer)`
`void` `setHeader(UIComponent header)`
`void` `setRowIndex(int rowIndex)`
`void` `setRows(int rows)`
`void` `setValue(java.lang.Object value)`
`void` `setValueBinding(java.lang.String name, ValueBinding binding)`
`void` `setVar(java.lang.String var)`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIData

    public UIData()

Method Detail

### setFooter

    public void setFooter(UIComponent footer)

### getFooter

    public UIComponent getFooter()

### setHeader

    public void setHeader(UIComponent header)

### getHeader

    public UIComponent getHeader()

### isRowAvailable

    public boolean isRowAvailable()

### getRowCount

    public int getRowCount()

### getRowData

    public java.lang.Object getRowData()

### getRowIndex

    public int getRowIndex()

### setRowIndex

    public void setRowIndex(int rowIndex)

### setRows

    public void setRows(int rows)

### setVar

    public void setVar(java.lang.String var)

### getVar

    public java.lang.String getVar()

### setValueBinding

    public void setValueBinding(java.lang.String name,
                                ValueBinding binding)

  Overrides:
    `setValueBinding` in class `UIComponentBase`

### getClientId

    public java.lang.String getClientId(FacesContext context)

  Overrides:
    `getClientId` in class `UIComponentBase`
  Parameters:
    `context` -
  Returns:
    String

### queueEvent

    public void queueEvent(FacesEvent event)

  Overrides:
    `queueEvent` in class `UIComponentBase`

### broadcast

    public void broadcast(FacesEvent event)
                   throws AbortProcessingException

  Overrides:
    `broadcast` in class `UIComponentBase`
  Throws:
    `AbortProcessingException`

### encodeBegin

    public void encodeBegin(FacesContext context)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `UIComponentBase`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(FacesContext context)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `UIComponentBase`
  Throws:
    `java.io.IOException`
  See Also:
    `UIComponentBase.encodeEnd(javax.faces.context.FacesContext)`

### processDecodes

    public void processDecodes(FacesContext context)

  Overrides:
    `processDecodes` in class `UIComponentBase`

### processValidators

    public void processValidators(FacesContext context)

  Overrides:
    `processValidators` in class `UIComponentBase`

### processUpdates

    public void processUpdates(FacesContext context)

  Overrides:
    `processUpdates` in class `UIComponentBase`

### setValue

    public void setValue(java.lang.Object value)

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIComponentBase`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIComponentBase`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `UIComponent`

### setFirst

    public void setFirst(int first)

### getFirst

    public int getFirst()

### getRows

    public int getRows()

### getValue

    public java.lang.Object getValue()